/**
 * Public JavaScript
 *
 * @package    Elementor_Connector_For_Woocommerce_Bookings
 * @subpackage Elementor_Connector_For_Woocommerce_Bookings/public/js
 */

jQuery( document ).ready(
	function ($) {

		// Trigger select2 on all select fields in bookings form.
		$( '#wc_bookings_field_resource' ).filter( ':not(.enhanced)' ).each(
			function () {
				$( this ).select2(
					{
						width: '100%',
						minimumResultsForSearch: -1,
					}
				).addClass( 'enhanced' );
			}
		);
	}
);
